Home | Modules | Class Hierarchy | Alphabetical List | Compound List | Related Pages

# Encodings Class Reference
[Unicode core]

## Detailed Description

Encodings information.

- All codepage definitions are read from list of ANSI -> Unicode associative files. These codepage files could be taken from www.unicode.org too.
- Two-stage tables are used to access Unicode -> ANSI transformation.

## Static Public Methods

byte * | getEncodingBOM (int encoding)
| returns Byte Order Mark bytes for specified Unicode encoding
int | getEncodingBOMSize (int encoding)
| returns Byte Order Mark bytes Length for specified Unicode encoding
int | isMultibyteEncoding (int encoding)
int | toBytes (int encoding, wchar, byte *)
char | toChar (int, wchar)
wchar | toWChar (int, char)
int | getEncodingNamesNum ()
int | getDefaultEncodingIndex ()
const char * | getDefaultEncodingName ()
int | getEncodingIndex (const char *enc)
const char * | getEncodingName (int enc)

## Static Public Attributes

const int | ENC_UTF8_BOM = 0xBFBBEF
const int | ENC_UTF16_BOM = 0xFEFF
const int | ENC_UTF16BE_BOM = 0xFFFE
const int | ENC_UTF32_BOM = 0x0000FEFF
const int | ENC_UTF32BE_BOM = 0xFFFE0000
const int | ENC_UTF32BE = (-6)
const int | ENC_UTF32 = (-5)
const int | ENC_UTF16BE = (-4)
const int | ENC_UTF16 = (-3)
const int | ENC_UTF8 = (-2)

Colorer-take5 Library. Copyright © 1999-2003 Cail Lomecb.
Generated at Fri Sep 12 18:54:55 2003 by doxygen 1.3-rc2.